package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import static javax.persistence.GenerationType.IDENTITY;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Municipios generated by hbm2java
 */
@Entity
@Table(name="municipios"
    ,catalog="sistema_ventas"
)
public class Municipios  implements Serializable{


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idmuni;
     private Departamento departamento;
     private String municipio;
     private Set<Persona> personas = new HashSet<Persona>(0);
     private Set<Sucursal> sucursals = new HashSet<Sucursal>(0);
     private Set<Empresa> empresas = new HashSet<Empresa>(0);

    public Municipios() {
    }

    public Municipios(Departamento departamento, String municipio, Set<Persona> personas, Set<Sucursal> sucursals, Set<Empresa> empresas) {
       this.departamento = departamento;
       this.municipio = municipio;
       this.personas = personas;
       this.sucursals = sucursals;
       this.empresas = empresas;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idmuni", unique=true, nullable=false)
    public Integer getIdmuni() {
        return this.idmuni;
    }
    
    public void setIdmuni(Integer idmuni) {
        this.idmuni = idmuni;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="departamento")
    public Departamento getDepartamento() {
        return this.departamento;
    }
    
    public void setDepartamento(Departamento departamento) {
        this.departamento = departamento;
    }

    
    @Column(name="municipio", length=50)
    public String getMunicipio() {
        return this.municipio;
    }
    
    public void setMunicipio(String municipio) {
        this.municipio = municipio;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="municipios")
    public Set<Persona> getPersonas() {
        return this.personas;
    }
    
    public void setPersonas(Set<Persona> personas) {
        this.personas = personas;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="municipios")
    public Set<Sucursal> getSucursals() {
        return this.sucursals;
    }
    
    public void setSucursals(Set<Sucursal> sucursals) {
        this.sucursals = sucursals;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="municipios")
    public Set<Empresa> getEmpresas() {
        return this.empresas;
    }
    
    public void setEmpresas(Set<Empresa> empresas) {
        this.empresas = empresas;
    }




}


